Package org.eclipse.gef.ui.palette

# Class PaletteMessages

java.lang.Object
org.eclipse.osgi.util.NLS
org.eclipse.gef.ui.palette.PaletteMessages

public class PaletteMessages extends NLS

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`ABORT_PAGE_FLIPPING_MESSAGE`
The String "The currently displayed page contains invalid values."
`static String`
`ACC_DESC_PALETTE_BUTTON`
This button is used to show or hide the palette.
`static String`
`ACC_DESC_PALETTE_TITLE`
The palette can be moved or resized through the context menu for this control.
`static String`
`APPLY_LABEL`
The String "&Apply"
`static String`
`COLLAPSE_ALWAYS_LABEL`
The String "&Always close when opening another drawer"
`static String`
`COLLAPSE_AS_NEEDED_LABEL`
The String "Close automatically &when there is not enough room"
`static String`
`COLLAPSE_NEVER_LABEL`
The String "&Never close"
`static String`
`COLLAPSE_OPTIONS_TITLE`
The String "Drawer options: "
`static String`
`CUSTOMIZE_DIALOG_TITLE`
The String "Customize Palette"
`static String`
`DELETE_LABEL`
The String "&Delete"
`static String`
`DESCRIPTION_LABEL`
The String "Des&cription: "
`static String`
`DOCK_LABEL`
The String "&Dock On"
`static String`
`DRAWER_PIN_AT_STARTUP`
The String "&Pin drawer open at start-up"
`static String`
`ERROR`
The String "Could Not Accept Changes"
`static String`
`EXPAND_DRAWER_AT_STARTUP_LABEL`
The String "&Open drawer at start-up"
`static String`
`HIDDEN_LABEL`
The String "&Hide"
`static String`
`LAYOUT_MENU_LABEL`
The String "&Layout"
`static String`
`LEFT_LABEL`
The String "&Left"
`static String`
`MENU_OPEN_CUSTOMIZE_DIALOG`
The String "Cus&tomize..."
`static String`
`MENU_OPEN_SETTINGS_DIALOG`
The String "&Settings..."
`static String`
`MODEL_TYPE_DRAWER`
The String "Drawer"
`static String`
`MODEL_TYPE_GROUP`
The String "Group"
`static String`
`MODEL_TYPE_SEPARATOR`
The String "Separator"
`static String`
`MODEL_TYPE_STACK`
The String "Stack"
`static String`
`MOVE_DOWN_LABEL`
The String "Move Do&wn"
`static String`
`MOVE_UP_LABEL`
The String "Move &Up"
`static String`
`NAME_DESCRIPTION_SEPARATOR`
The String "-"
`static String`
`NAME_LABEL`
The String "Na&me: "
`static String`
`NEW_DRAWER_LABEL`
The String "New Drawer"
`static String`
`NEW_GROUP_LABEL`
The String "New Group"
`static String`
`NEW_LABEL`
The String "&New"
`static String`
`NEW_SEPARATOR_DESC`
The String "Separates entries in a palette container"
`static String`
`NEW_SEPARATOR_LABEL`
The String "[Separator]"
`static String`
`NEW_STACK_LABEL`
The String "New Stack"
`static String`
`NO_DESCRIPTION_AVAILABLE`
The String "No description is available."
`static String`
`NO_SELECTION_MADE`
The String "Select a node from the tree on the left."
`static String`
`NO_SELECTION_TITLE`
The String "Nothing Selected"
`static String`
`PALETTE_HIDE`
Hide Palette
`static String`
`PALETTE_SHOW`
Show Palette
`static String`
`PINNED`
The String "&Pinned"
`static String`
`RESIZE_LABEL`
The String "&Resize"
`static String`
`RIGHT_LABEL`
The String "&Right"
`static String`
`SETTINGS_COLUMNS_VIEW_LABEL`
The String "&Columns"
`static String`
`SETTINGS_DEFAULT_FONT`
The String "&Restore Default"
`static String`
`SETTINGS_DETAILS_VIEW_LABEL`
The String "&Details"
`static String`
`SETTINGS_DIALOG_TITLE`
The String "Palette Settings"
`static String`
`SETTINGS_DRAWER_OPTIONS_TITLE`
The String "Drawer Options"
`static String`
`SETTINGS_FONT_CHANGE`
The String "C&hange..."
`static String`
`SETTINGS_FONT_CURRENT`
The String "Font: "
`static String`
`SETTINGS_FONT_TITLE`
The String "Font"
`static String`
`SETTINGS_ICONS_VIEW_LABEL`
The String "&Icons only"
`static String`
`SETTINGS_ICONS_VIEW_LABEL_CAPS`
The String "&Icons Only"
`static String`
`SETTINGS_LAYOUT_COLUMNS_OVERRIDE_WIDTH`
The String "&Override default column width settings"
`static String`
`SETTINGS_LAYOUT_COLUMNS_WIDTH`
The String "Colu&mn width (in pixels): "
`static String`
`SETTINGS_LAYOUT_OPTIONS_TITLE`
The String "Layout options"
`static String`
`SETTINGS_LAYOUT_TITLE`
The String "Layout: "
`static String`
`SETTINGS_LIST_VIEW_LABEL`
The String "&List"
`static String`
`SETTINGS_OPTIONS_COLUMNS`
The String "Columns layout options"
`static String`
`SETTINGS_OPTIONS_DETAILS`
The String "Details layout options"
`static String`
`SETTINGS_OPTIONS_ICONS_ONLY`
The String " layout options"
`static String`
`SETTINGS_OPTIONS_LIST`
The String "List layout options"
`static String`
`SETTINGS_USE_LARGE_ICONS_LABEL`
The String "&Use large icons"
`static String`
`SETTINGS_USE_LARGE_ICONS_LABEL_CAPS`
The String "&Use Large Icons"
`static String`
`SETTINGS_WORKBENCH_FONT_LABEL`
The String "<Using Workbench Dialog Font>"
`static String`
`TOOLTIP_PIN_FIGURE`
The String "Pin Open"
`static String`
`TOOLTIP_UNPIN_FIGURE`
The String "Unpin"

## Constructor Summary

Constructors
Constructor
Description
`PaletteMessages()`

## Method Summary

### Methods inherited from class org.eclipse.osgi.util.NLS

`bind, bind, bind, initializeMessages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CUSTOMIZE_DIALOG_TITLE

public static String CUSTOMIZE_DIALOG_TITLE
The String "Customize Palette"

### COLLAPSE_OPTIONS_TITLE

public static String COLLAPSE_OPTIONS_TITLE
The String "Drawer options: "

### SETTINGS_LAYOUT_OPTIONS_TITLE

public static String SETTINGS_LAYOUT_OPTIONS_TITLE
The String "Layout options"

### APPLY_LABEL

public static String APPLY_LABEL
The String "&Apply"

### MOVE_UP_LABEL

public static String MOVE_UP_LABEL
The String "Move &Up"

### MOVE_DOWN_LABEL

public static String MOVE_DOWN_LABEL
The String "Move Do&wn"

### DELETE_LABEL

public static String DELETE_LABEL
The String "&Delete"

### NEW_LABEL

public static String NEW_LABEL
The String "&New"

### SETTINGS_COLUMNS_VIEW_LABEL

public static String SETTINGS_COLUMNS_VIEW_LABEL
The String "&Columns"

### SETTINGS_LIST_VIEW_LABEL

public static String SETTINGS_LIST_VIEW_LABEL
The String "&List"

### SETTINGS_USE_LARGE_ICONS_LABEL

public static String SETTINGS_USE_LARGE_ICONS_LABEL
The String "&Use large icons"

### SETTINGS_USE_LARGE_ICONS_LABEL_CAPS

public static String SETTINGS_USE_LARGE_ICONS_LABEL_CAPS
The String "&Use Large Icons"

### SETTINGS_ICONS_VIEW_LABEL

public static String SETTINGS_ICONS_VIEW_LABEL
The String "&Icons only"

### SETTINGS_ICONS_VIEW_LABEL_CAPS

public static String SETTINGS_ICONS_VIEW_LABEL_CAPS
The String "&Icons Only"

### COLLAPSE_NEVER_LABEL

public static String COLLAPSE_NEVER_LABEL
The String "&Never close"

### COLLAPSE_ALWAYS_LABEL

public static String COLLAPSE_ALWAYS_LABEL
The String "&Always close when opening another drawer"

### COLLAPSE_AS_NEEDED_LABEL

public static String COLLAPSE_AS_NEEDED_LABEL
The String "Close automatically &when there is not enough room"

### NO_SELECTION_TITLE

public static String NO_SELECTION_TITLE
The String "Nothing Selected"

### NAME_LABEL

public static String NAME_LABEL
The String "Na&me: "

### DESCRIPTION_LABEL

public static String DESCRIPTION_LABEL
The String "Des&cription: "

### HIDDEN_LABEL

public static String HIDDEN_LABEL
The String "&Hide"

### NO_DESCRIPTION_AVAILABLE

public static String NO_DESCRIPTION_AVAILABLE
The String "No description is available."

### NO_SELECTION_MADE

public static String NO_SELECTION_MADE
The String "Select a node from the tree on the left."

### MENU_OPEN_CUSTOMIZE_DIALOG

public static String MENU_OPEN_CUSTOMIZE_DIALOG
The String "Cus&tomize..."

### MODEL_TYPE_DRAWER

public static String MODEL_TYPE_DRAWER
The String "Drawer"

### MODEL_TYPE_SEPARATOR

public static String MODEL_TYPE_SEPARATOR
The String "Separator"

### MODEL_TYPE_STACK

public static String MODEL_TYPE_STACK
The String "Stack"

### NEW_SEPARATOR_DESC

public static String NEW_SEPARATOR_DESC
The String "Separates entries in a palette container"

### NEW_DRAWER_LABEL

public static String NEW_DRAWER_LABEL
The String "New Drawer"

### NEW_SEPARATOR_LABEL

public static String NEW_SEPARATOR_LABEL
The String "[Separator]"

### NEW_STACK_LABEL

public static String NEW_STACK_LABEL
The String "New Stack"

### MODEL_TYPE_GROUP

public static String MODEL_TYPE_GROUP
The String "Group"

### NEW_GROUP_LABEL

public static String NEW_GROUP_LABEL
The String "New Group"

### LAYOUT_MENU_LABEL

public static String LAYOUT_MENU_LABEL
The String "&Layout"

### ERROR

public static String ERROR
The String "Could Not Accept Changes"

### ABORT_PAGE_FLIPPING_MESSAGE

public static String ABORT_PAGE_FLIPPING_MESSAGE
The String "The currently displayed page contains invalid values."

### MENU_OPEN_SETTINGS_DIALOG

public static String MENU_OPEN_SETTINGS_DIALOG
The String "&Settings..."

### SETTINGS_DIALOG_TITLE

public static String SETTINGS_DIALOG_TITLE
The String "Palette Settings"

### SETTINGS_DETAILS_VIEW_LABEL

public static String SETTINGS_DETAILS_VIEW_LABEL
The String "&Details"

### SETTINGS_FONT_TITLE

public static String SETTINGS_FONT_TITLE
The String "Font"

### SETTINGS_FONT_CHANGE

public static String SETTINGS_FONT_CHANGE
The String "C&hange..."

### SETTINGS_FONT_CURRENT

public static String SETTINGS_FONT_CURRENT
The String "Font: "

### SETTINGS_LAYOUT_TITLE

public static String SETTINGS_LAYOUT_TITLE
The String "Layout: "

### SETTINGS_DRAWER_OPTIONS_TITLE

public static String SETTINGS_DRAWER_OPTIONS_TITLE
The String "Drawer Options"

### EXPAND_DRAWER_AT_STARTUP_LABEL

public static String EXPAND_DRAWER_AT_STARTUP_LABEL
The String "&Open drawer at start-up"

### SETTINGS_OPTIONS_COLUMNS

public static String SETTINGS_OPTIONS_COLUMNS
The String "Columns layout options"

### SETTINGS_OPTIONS_LIST

public static String SETTINGS_OPTIONS_LIST
The String "List layout options"

### SETTINGS_OPTIONS_ICONS_ONLY

public static String SETTINGS_OPTIONS_ICONS_ONLY
The String " layout options"

### SETTINGS_OPTIONS_DETAILS

public static String SETTINGS_OPTIONS_DETAILS
The String "Details layout options"

### SETTINGS_LAYOUT_COLUMNS_OVERRIDE_WIDTH

public static String SETTINGS_LAYOUT_COLUMNS_OVERRIDE_WIDTH
The String "&Override default column width settings"

### SETTINGS_LAYOUT_COLUMNS_WIDTH

public static String SETTINGS_LAYOUT_COLUMNS_WIDTH
The String "Colu&mn width (in pixels): "

### DRAWER_PIN_AT_STARTUP

public static String DRAWER_PIN_AT_STARTUP
The String "&Pin drawer open at start-up"

### SETTINGS_DEFAULT_FONT

public static String SETTINGS_DEFAULT_FONT
The String "&Restore Default"

### SETTINGS_WORKBENCH_FONT_LABEL

public static String SETTINGS_WORKBENCH_FONT_LABEL
The String "<Using Workbench Dialog Font>"

### NAME_DESCRIPTION_SEPARATOR

public static String NAME_DESCRIPTION_SEPARATOR
The String "-"

### PINNED

public static String PINNED
The String "&Pinned"

### TOOLTIP_PIN_FIGURE

public static String TOOLTIP_PIN_FIGURE
The String "Pin Open"

### TOOLTIP_UNPIN_FIGURE

public static String TOOLTIP_UNPIN_FIGURE
The String "Unpin"

### DOCK_LABEL

public static String DOCK_LABEL
The String "&Dock On"

### LEFT_LABEL

public static String LEFT_LABEL
The String "&Left"

### RIGHT_LABEL

public static String RIGHT_LABEL
The String "&Right"

### RESIZE_LABEL

public static String RESIZE_LABEL
The String "&Resize"

### PALETTE_SHOW

public static String PALETTE_SHOW
Show Palette

### PALETTE_HIDE

public static String PALETTE_HIDE
Hide Palette

### ACC_DESC_PALETTE_BUTTON

public static String ACC_DESC_PALETTE_BUTTON
This button is used to show or hide the palette.

### ACC_DESC_PALETTE_TITLE

public static String ACC_DESC_PALETTE_TITLE
The palette can be moved or resized through the context menu for this control.

## Constructor Details

### PaletteMessages

public PaletteMessages()